// Copyright (c) Pickware GmbH. All rights reserved.
// This file is part of software that is released under a proprietary license.
// You must not copy, modify, distribute, make publicly available, or execute
// its contents or parts thereof without express permission by the copyright
// holder, unless otherwise permitted by law.

Ext.define('Shopware.apps.ViisonCommonOrderDocumentTypeHider.view.detail.Configuration', {
    override: 'Shopware.apps.Order.view.detail.Configuration',

    /**
     * @override
     */
    createLeftItems: function () {
        this.documentTypesStore.clearFilter(true);
        this.documentTypesStore.filter('viisonHidden', false);

        return this.callParent(arguments);
    },
});
